#include <bits/stdc++.h>
 #include<math.h>
 using namespace std; 

void Unos(int a[],int n)
{
	for(int i=0;i<n;i++)
  	scanf("%d",&a[i]);
}

 main()
 {
  	int n,x;
  	scanf("%d %d",&n,&x);
  	int a[n],sekunde=0,pmin,pmax;
  	Unos(a,n);
  	sort(a,a+n);
  	sekunde+=(a[n-1]-a[0]);
  	pmax=abs(a[n-1]-x);
  	pmin=abs(x-a[0]);
  	if(pmax<pmin)
  	sekunde+=pmax;
  	else
	  	if(pmax>pmin)
	  	sekunde+=pmin;
	  	else
	  		sekunde+=pmax;
  	printf("%d",sekunde);  	
 }